Subject: bug#8181: 23.2; Dired on Windows 7

From: Jason Rumney <[email-masked]>
Date: Mon, 07 Mar 2011 22:31:36 +0800

Juanma Barranquero <[email-masked]> writes:

> One is the fact that the initial setting of FILE_NAME_TEXT_FIELD does
> not work. WM_NOTIFY is received with the appropriate arguments, and
> CommDlg_OpenSave_SetControlText (at w32fns.c:5875) is called, but it
> apparently has no effect. Perhaps some order-of-initialization issue
> that's changed (undocumentedly) on Windows 7?
>
> The other is that GetDlgItem (dialog, FILE_NAME_TEXT_FIELD) is
> returning always 0, so the EnableWindow calls are no-ops (in fact,
> that's easy to see because after setting the combo to "Directories",
> you can still edit the text field).
>
> I'm seeing these problems in Windows 7 SP1 64-bit, BTW.

Has Microsoft changed the names of these fields in Windows 7, or is it
some new "security" feature getting in the way of changing this dialog
programmatically?